# $Revision: 1.17 $, $Date: 2008/07/27 22:39:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	ZH-HanConvert
Summary:	Lingua::ZH::HanConvert - convert Traditional Chinese <-> Simplified Chinese
Summary(pl.UTF-8):	Lingua::ZH::HanConvert - konwersja chiński tradycyjny <-> chiński uproszczony
Name:		perl-Lingua-ZH-HanConvert
Version:	0.12
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	918d5221e27fbe5ca8ab1ac81e0c5e10
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In the 1950's, the Chinese government simplified over 2000 Chinese
characters. Taiwan and Hong Kong still use the traditional characters.
The simplified characters are hard to read if you only know the
traditional ones, and vice-versa. This module attempts to convert
Chinese text between the two forms, using character-by-character
transliteration.

%description -l pl.UTF-8
W latach 1950-tych rząd chiński uprościł ponad 2000 chińskich
ideogramów. Tajwan i Hong Kong nadal używają ideogramów tradycyjnych.
Ideogramy uproszczone są nieczytelne dla znających tylko tradycyjne
i odwrotnie. Moduł dokonuje wzajemnej konwersji tekstów chińskich
w tych dwu postaciach stosując z transliterację znak po znaku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^use v5\.6\.0(;.*)$/use 5.006_00$1/' HanConvert.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{perl_vendorlib}/Lingua/ZH
%{perl_vendorlib}/Lingua/ZH/HanConvert.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-ZH-HanConvert.spec,v $
Revision 1.17  2008/07/27 22:39:56  arekm
- release 4

Revision 1.16  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:30  paladine
- formatting

Revision 1.13  2004/06/05 18:10:42  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:20:29  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.10  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.9  2003/08/18 08:08:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/06 00:32:19  ankry
- fixed perl version required by modele; rel. 3

Revision 1.5  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:37:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:35:26  ankry
- massive attack: change CPAN URLs

Revision 1.1  2003/01/18 13:45:44  ankry
- initial release, it builds

